Upstream information

CVE-2017-3523 at MITRE

Description

Vulnerability in the MySQL Connectors component of Oracle MySQL (subcomponent: Connector/J). Supported versions that are affected are 5.1.40 and earlier. Difficult to exploit vulnerability allows low privileged attacker with network access via multiple protocols to compromise MySQL Connectors. While the vulnerability is in MySQL Connectors, attacks may significantly impact additional products. Successful attacks of this vulnerability can result in takeover of MySQL Connectors. CVSS 3.0 Base Score 8.5 (Confidentiality, Integrity and Availability impacts). CVSS Vector: (CVSS:3.0/AV:N/AC:H/PR:L/UI:N/S:C/C:H/I:H/A:H).

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 6 4.6
Vector AV:N/AC:M/Au:S/C:P/I:P/A:P AV:N/AC:H/Au:S/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Medium High
Authentication Single Single
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.5 8.5
Vector CVSS:3.0/AV:N/AC:H/PR:L/UI:N/S:C/C:H/I:H/A:H CVSS:3.1/AV:N/AC:H/PR:L/UI:N/S:C/C:H/I:H/A:H
Attack Vector Network Network
Attack Complexity High High
Privileges Required Low Low
User Interaction None None
Scope Changed Changed
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3 3.1
SUSE Bugzilla entry: 1035697 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP2
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server for SAP Applications 12 SP2
SUSE Linux Enterprise Software Development Kit 12 SP2
  • mysql-connector-java >= 5.1.42-5.4.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-1605
SUSE Linux Enterprise Desktop 12 SP3
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP3
SUSE Linux Enterprise Software Development Kit 12 SP3
  • mysql-connector-java >= 5.1.42-5.4.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2017-1605
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
SUSE Linux Enterprise Software Development Kit 12 SP4
  • mysql-connector-java >= 5.1.42-5.4.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA mysql-connector-java-5.1.42-5.4.1
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
SUSE Linux Enterprise Software Development Kit 12 SP5
  • mysql-connector-java >= 5.1.42-5.4.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP5 GA mysql-connector-java-5.1.42-5.4.1
openSUSE Tumbleweed
  • mysql-connector-java >= 8.0.25-2.2
Patchnames:
openSUSE Tumbleweed GA mysql-connector-java-8.0.25-2.2


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Linux Enterprise Server 12 SP5 mysql-connector-java Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 mysql-connector-java Released
SUSE Linux Enterprise Software Development Kit 12 SP5 mysql-connector-java Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Server 12 SP4 mysql-connector-java Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 mysql-connector-java Affected
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 mysql-connector-java Released
SUSE Linux Enterprise Desktop 11 SP4 mysql-connector-java Affected
SUSE Linux Enterprise Desktop 12 mysql-connector-java Affected
SUSE Linux Enterprise Desktop 12 SP1 mysql-connector-java Affected
SUSE Linux Enterprise Desktop 12 SP2 mysql-connector-java Released
SUSE Linux Enterprise Desktop 12 SP3 mysql-connector-java Released
SUSE Linux Enterprise Desktop 12 SP4 mysql-connector-java Affected
SUSE Linux Enterprise Server 11 SP4 mysql-connector-java Affected
SUSE Linux Enterprise Server 12 mysql-connector-java Affected
SUSE Linux Enterprise Server 12 SP1 mysql-connector-java Affected
SUSE Linux Enterprise Server 12 SP2 mysql-connector-java Released
SUSE Linux Enterprise Server 12 SP3 mysql-connector-java Released
SUSE Linux Enterprise Server for SAP Applications 11 SP4 mysql-connector-java Affected
SUSE Linux Enterprise Server for SAP Applications 12 mysql-connector-java Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 mysql-connector-java Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 mysql-connector-java Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 mysql-connector-java Released
SUSE Linux Enterprise Software Development Kit 11 SP4 mysql-connector-java Affected
SUSE Linux Enterprise Software Development Kit 12 mysql-connector-java Affected
SUSE Linux Enterprise Software Development Kit 12 SP1 mysql-connector-java Affected
SUSE Linux Enterprise Software Development Kit 12 SP2 mysql-connector-java Released
SUSE Linux Enterprise Software Development Kit 12 SP3 mysql-connector-java Released
SUSE Linux Enterprise Software Development Kit 12 SP4 mysql-connector-java Affected
SUSE OpenStack Cloud 8 mysql-connector-java Released
SUSE OpenStack Cloud 9 mysql-connector-java Released
SUSE OpenStack Cloud Crowbar 8 mysql-connector-java Released
SUSE OpenStack Cloud Crowbar 9 mysql-connector-java Released


SUSE Timeline for this CVE

CVE page created: Mon Apr 24 10:45:10 2017
CVE page last modified: Mon Jan 16 17:50:50 2023